
package gunav2.keymon.com.mx;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class c_nota {
    public static RemoteObject myClass;
	public c_nota() {
	}
    public static PCBA staticBA = new PCBA(null, c_nota.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _root = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _xui = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");
public static RemoteObject _skmt = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _g = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _clie_id = RemoteObject.createImmutable("");
public static RemoteObject _sdate = RemoteObject.createImmutable("");
public static RemoteObject _stime = RemoteObject.createImmutable("");
public static RemoteObject _usuario = RemoteObject.createImmutable("");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _ruta = RemoteObject.createImmutable("");
public static RemoteObject _regresar = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _listview1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ListViewWrapper");
public static RemoteObject _l_cant = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_total = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _borra = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _existe = RemoteObject.createImmutable("");
public static RemoteObject _result = RemoteObject.createImmutable("");
public static RemoteObject _desc = RemoteObject.createImmutable("");
public static RemoteObject _c2 = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _j3 = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _titulo = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _b_desc = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _descuento = RemoteObject.createImmutable("");
public static RemoteObject _folio = RemoteObject.createImmutable("");
public static RemoteObject _tgl = RemoteObject.declareNull("com.rootsoft.togglelibrary.ToggleLibrary");
public static RemoteObject _almacen = RemoteObject.createImmutable("");
public static RemoteObject _p_nota = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _tipo_venta = RemoteObject.createImmutable("");
public static RemoteObject _panel1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _panel3 = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _l_futuro = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_preventa = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_descacor = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_descpre = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_ocul = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_desct = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static gunav2.keymon.com.mx.main _main = null;
public static gunav2.keymon.com.mx.starter _starter = null;
public static gunav2.keymon.com.mx.subs _subs = null;
public static gunav2.keymon.com.mx.appupdater _appupdater = null;
public static gunav2.keymon.com.mx.tracker _tracker = null;
public static gunav2.keymon.com.mx.firebasemessaging _firebasemessaging = null;
public static gunav2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static gunav2.keymon.com.mx.newinst2 _newinst2 = null;
public static gunav2.keymon.com.mx.b4xpages _b4xpages = null;
public static gunav2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static gunav2.keymon.com.mx.httputils2service _httputils2service = null;
public static gunav2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"almacen",_ref.getField(false, "_almacen"),"b_desc",_ref.getField(false, "_b_desc"),"borra",_ref.getField(false, "_borra"),"c",_ref.getField(false, "_c"),"c2",_ref.getField(false, "_c2"),"clie_id",_ref.getField(false, "_clie_id"),"DateUtils",_ref.getField(false, "_dateutils"),"DESC",_ref.getField(false, "_desc"),"DESCUENTO",_ref.getField(false, "_descuento"),"Existe",_ref.getField(false, "_existe"),"folio",_ref.getField(false, "_folio"),"g",_ref.getField(false, "_g"),"j3",_ref.getField(false, "_j3"),"L_CANT",_ref.getField(false, "_l_cant"),"l_descacor",_ref.getField(false, "_l_descacor"),"l_descpre",_ref.getField(false, "_l_descpre"),"l_desct",_ref.getField(false, "_l_desct"),"L_FUTURO",_ref.getField(false, "_l_futuro"),"l_ocul",_ref.getField(false, "_l_ocul"),"L_PREVENTA",_ref.getField(false, "_l_preventa"),"L_TOTAL",_ref.getField(false, "_l_total"),"ListView1",_ref.getField(false, "_listview1"),"p_nota",_ref.getField(false, "_p_nota"),"Panel1",_ref.getField(false, "_panel1"),"Panel3",_ref.getField(false, "_panel3"),"Regresar",_ref.getField(false, "_regresar"),"result",_ref.getField(false, "_result"),"Root",_ref.getField(false, "_root"),"ruta",_ref.getField(false, "_ruta"),"sDate",_ref.getField(false, "_sdate"),"skmt",_ref.getField(false, "_skmt"),"sTime",_ref.getField(false, "_stime"),"tgl",_ref.getField(false, "_tgl"),"tipo_venta",_ref.getField(false, "_tipo_venta"),"Titulo",_ref.getField(false, "_titulo"),"usuario",_ref.getField(false, "_usuario"),"xui",_ref.getField(false, "_xui")};
}
}